### Method

# Gimp Image take_selected_channels

since: 3.0

#### Declaration [src]

    gboolean
    gimp_image_take_selected_channels (
      GimpImage* image,
      GList* channels
    )

#### Description [src]

The channels are set as the selected channels in the image. Any previous selected layers or channels are unselected. An exception is a previously existing floating selection, in which case this procedure will return an execution error.

Available since: 3.0

#### Parameters

`channels`

  Type: A list of `GimpChannel*`

  The list of channels to select.

  The instance takes ownership of the data container, but not the data inside it.

#### Return value

Type: `gboolean`

TRUE on success.